Package org.codehaus.janino

# Class Java.LocalVariable

java.lang.Object
org.codehaus.janino.Java.LocalVariable

Enclosing class:
  `Java`

public static class Java.LocalVariable extends Object
Representation of a local variable while it is in scope during compilation.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`finaL`
Whether this local variable has the FINAL modifier flag.
`Java.LocalVariableSlot`
`slot`
The slot reserved for this local variable.
`final IType`
`type`
The type of this local variable.

## Constructor Summary

Constructors
Constructor
Description
`LocalVariable(boolean finaL, IType type)`

## Method Summary

Modifier and Type
Method
Description
`short`
`getSlotIndex()`
`void`
`setSlot(Java.LocalVariableSlot slot)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### finaL

public final boolean finaL
Whether this local variable has the FINAL modifier flag.

### type

public final IType type
The type of this local variable.

### slot

@Nullable public Java.LocalVariableSlot slot
The slot reserved for this local variable.

## Constructor Details

### LocalVariable

public LocalVariable(boolean finaL, IType type)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setSlot

public void setSlot(Java.LocalVariableSlot slot)

Parameters:
  `slot` - The slot to reserve for this local variable

### getSlotIndex

public short getSlotIndex()

Returns:
  The slot reserved for this local variable (two slots for LONG and DOUBLE local variables)